libantlr3c-3.4-0_3.4+dfsg-3_amd64.deb


Advertisement

Description

libantlr3c-3.4-0 - ANTLR v3 parser generator C runtime

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename libantlr3c-3.4-0_3.4+dfsg-3_amd64.deb
Package name libantlr3c-3.4-0
Package version 3.4+dfsg
Package release 3
Package architecture amd64
Package type deb
Category universe/libs
Homepage https://www.antlr3.org/api/C/index.html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 41.07 KB
Installed size 123.00 KB
ANTLR, ANother Tool for Language Recognition, is a language tool that
provides a framework for constructing recognizers, compilers, and
translators from grammatical descriptions.
This package contains the C runtime needed for parsers generated by ANTLR
v3 in the C language, with the ANTLR debugger disabled. Install
libantlr3c0-antlrdbg if you want to use the ANTLR debugger.

Alternatives

Package Version Architecture Repository
libantlr3c-3.4-0_3.4+dfsg-3_i386.deb 3.4+dfsg i386 Ubuntu Universe
libantlr3c-3.4-0 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libstdc++6 >= 5.2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libantlr3c-3.4-0_3.4+dfsg-3_amd64.deb
Source Package libantlr3c

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libantlr3c-3.4-0 deb package:
    # sudo apt-get install libantlr3c-3.4-0

Files

Path
/usr/lib/x86_64-linux-gnu/libantlr3c-3.4.so.0
/usr/lib/x86_64-linux-gnu/libantlr3c-3.4.so.0.0.0
/usr/share/doc/libantlr3c-3.4-0/changelog.Debian.gz
/usr/share/doc/libantlr3c-3.4-0/copyright

Changelog

2019-01-26 - Andreas Beckmann <anbe@debian.org>
libantlr3c (3.4+dfsg-3) unstable; urgency=medium
[ Andreas Beckmann ]
* QA upload.
* Switch to debhelper-compat (= 12).
* Bump Standards-Version to 4.3.0 (no changes needed).
[ Helmut Grohne ]
* Use dh_auto_configure.  (Closes: #920403)
2018-06-21 - Fabian Wolff <fabi.wolff@arcor.de>
libantlr3c (3.4+dfsg-2) unstable; urgency=medium
* QA upload.
* Upload to unstable.
2018-06-18 - Fabian Wolff <fabi.wolff@arcor.de>
libantlr3c (3.4+dfsg-1) experimental; urgency=medium
* QA upload.
* New upstream release.
* Add debian/watch file.
* Update patches.
* Add 02-convert-utf.patch (Closes: #900601).
* Upgrade to debhelper compat level 11.
* Update Homepage field in debian/control.
* Convert debian/copyright to the machine-readable format.
* Upgrade to Standards-Version 4.1.4 in debian/control.
* Adjust package names according to the changed SONAME.
* Add Vcs-Git and Vcs-Browser fields in debian/control.
* Add debian/README.Debian and remove libantlr3c-dev.README.Debian.
2014-08-19 - Aurelien Jarno <aurel32@debian.org>
libantlr3c (3.2-3) unstable; urgency=medium
* QA upload.
* debian/control:
+ Set the maintainer to Debian QA Group <packages@qa.debian.org>. Thanks
Julien for having maintained this package (closes: #688541).
+ Build-depends on dh-autoreconf instead of autotools-dev.
* debian/rules:
+ Use dh-autoreconf instead of autotools-dev (closes: #734022).
2011-06-13 - Julien BLACHE <jblache@debian.org>
libantlr3c (3.2-2) unstable; urgency=low
* Multiarch conversion.
* debian/control:
+ Bump Standards-Version to 3.9.2 (no changes).
+ Bump debhelper build-dep to >= 8.1.3 for multiarch.
+ Add Pre-Depends: ${misc:Pre-Depends} to libantlr3c{,-antlrdbg}-3.2-0.
+ Tag libantlr3c{,-antlrdbg}-3.2-0 with Multi-Arch: same.
* debian/rules:
+ Set multiarch path for both builds.
+ Adapt paths where needed.
+ Change dh_install invocation.
* debian/*.install:
+ Adapt for multiarch.
* debian/copyright:
+ Remove reference to /usr/share/common-licenses/BSD; the full text of
the license is included in the copyright file already.
2010-06-24 - Julien BLACHE <jblache@debian.org>
libantlr3c (3.2-1) unstable; urgency=low
* New upstream release, with revised packaging.
* Move to source format 3.0 (quilt).
* debian/control:
+ Bump Standards-Version to 3.8.4 (no changes).
+ Add ${misc:Depends}.
+ Add Build-dep on dpkg-dev (>= 1.15.4) for DEB_HOST_ARCH_BITS support
in dpkg-architecture.
+ Adapt package names for the new packaging (using version in soname).
* debian/rules:
+ Use DEB_HOST_ARCH_BITS from dpkg-architecture instead of
debian/check64.c to check for a 64bit arch.
* debian/patches/debian_soname.patch:
+ Added; define a proper soname for Debian.
* debian/patches/fix_configure_warning.patch:
+ Added; fix misuse of AC_INCLUDES_DEFAULT leading to a warning during
execution of the configure script.
2009-05-30 - Julien BLACHE <jblache@debian.org>
libantlr3c (3.1.3-1) unstable; urgency=low
* Initial release (closes: #494263).

See Also

Package Description
libantlr3c-antlrdbg-3.4-0_3.4+dfsg-3_amd64.deb ANTLR v3 parser generator C runtime with ANTLR debugger
libantlr3c-dev_3.4+dfsg-3_amd64.deb ANTLR v3 parser generator C runtime [development files]
libantlr4-runtime-dev_4.7.2+dfsg-1_amd64.deb ANTLR Parser Generator - C++ runtime support (development files)
libantlr4-runtime-java_4.7.2-1_all.deb Runtime library for ANTLR 4
libantlr4-runtime4.7.2_4.7.2+dfsg-1_amd64.deb ANTLR Parser Generator - C++ runtime support (shared library)
libany-moose-perl_0.27-2_all.deb module to use either Moose or Mouse, based on availability
libany-template-processdir-perl_0.08-3_all.deb Perl module for processing a directory of templates
libany-uri-escape-perl_0.01-3_all.deb module to load URI::Escape::XS preferentially over URI::Escape
libanydata-perl_0.12-1_all.deb simple tied hash interface for files and data structures
libanyevent-aggressiveidle-perl_0.04-1_all.deb Aggressive idle processes for AnyEvent
libanyevent-cachedns-perl_0.08-2_all.deb simple DNS resolver with caching for AnyEvent
libanyevent-callback-perl_0.06-1_all.deb callback aggregator for AnyEvent watchers
libanyevent-connection-perl_0.06-5_all.deb base class for TCP clients
libanyevent-dbd-pg-perl_0.03-5_all.deb AnyEvent interface to DBD::Pg's async interface
libanyevent-dbi-perl_3.04-1_all.deb module supporting asynchronous DBI access
Advertisement
Advertisement